﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            DataTable dt = new DataTable();
            dt.Columns.AddRange(new DataColumn[3] { new DataColumn("Id"), new DataColumn("Name"), new DataColumn("Status") });
            dt.Rows.Add(1, "John Hammond", "A");
            dt.Rows.Add(2, "Mudassar Khan", "P");
            dt.Rows.Add(3, "Suzanne Mathews", "P");
            dt.Rows.Add(4, "Robert Schidner", "A");
            GridView1.DataSource = dt;
            GridView1.DataBind();
        }
    }

    protected void OnRowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            TableCell statusCell = e.Row.Cells[2];
            if (statusCell.Text == "A")
            {
                statusCell.Text = "Absent";
            }
            if (statusCell.Text == "P")
            {
                statusCell.Text = "Present";
            }
        }
    }
}